flywheel.api.dataexplorer_api
DataexplorerApi
Bases: object
delete_by_search(body, **kwargs)
Delete containers by a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | DeleteBySearchQuery | | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_by_search_with_http_info(body, **kwargs)
Delete containers by a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | DeleteBySearchQuery | | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_save_search(search_id, **kwargs)
Delete a saved search
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
search_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_save_search_with_http_info(search_id, **kwargs)
Delete a saved search
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
search_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_saved_searches(**kwargs)
Get Queries
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | Return all queries, Admin only, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_saved_searches_with_http_info(**kwargs)
Get Queries
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | Return all queries, Admin only, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_mapped_fields(**kwargs)
Get fields mapped for search
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
path | (str, optional) | Dot-separated subfield to drill down to | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_mapped_fields_with_http_info(**kwargs)
Get fields mapped for search
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
path | (str, optional) | Dot-separated subfield to drill down to | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_saved_search(sid, **kwargs)
Return a saved search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
sid | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_saved_search_with_http_info(sid, **kwargs)
Return a saved search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
sid | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_search_query_suggestions(body, **kwargs)
Get suggestions for a structured search query
Send the search query from the start of the string, and get a set of suggested replacements back. When utilizing a suggestion, the caller should replace the contents from the "from" field to the end of the string with the provided "value". This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | StructuredQuery | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_search_query_suggestions_with_http_info(body, **kwargs)
Get suggestions for a structured search query
Send the search query from the start of the string, and get a set of suggested replacements back. When utilizing a suggestion, the caller should replace the contents from the "from" field to the end of the string with the provided "value". This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | StructuredQuery | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_search_status(**kwargs)
Get the status of search (Mongo Connector)
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
get_search_status_with_http_info(**kwargs)
Get the status of search (Mongo Connector)
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
parse_search_query(body, **kwargs)
Parse a structured search query
Validates a search query, returning any parse errors that were encountered. In the future, this endpoint may return the abstract syntax tree or evaluated query. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | StructuredQuery | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
parse_search_query_with_http_info(body, **kwargs)
Parse a structured search query
Validates a search query, returning any parse errors that were encountered. In the future, this endpoint may return the abstract syntax tree or evaluated query. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | StructuredQuery | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
replace_search(sid, body, **kwargs)
Replace a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
sid | str | | required |
body | SaveSearchUpdate | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
replace_search_with_http_info(sid, body, **kwargs)
Replace a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
sid | str | | required |
body | SaveSearchUpdate | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
save_search(body, **kwargs)
Save a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | SaveSearchInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
save_search_with_http_info(body, **kwargs)
Save a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | SaveSearchInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
search(body, **kwargs)
Perform a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | SearchQuery | | required |
simple | (bool, optional) | Unwrap result documents into a list. | required |
size | (int, optional) | The maximum number of results to return. DEPRECATED: use body parameter instead. | required |
facets | (bool, optional) | Include additional statistics about the search results. Internal use only., defaults to false | required |
csv | (bool, optional) | Format the response as a CSV file, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
search_with_http_info(body, **kwargs)
Perform a search query
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | SearchQuery | | required |
simple | (bool, optional) | Unwrap result documents into a list. | required |
size | (int, optional) | The maximum number of results to return. DEPRECATED: use body parameter instead. | required |
facets | (bool, optional) | Include additional statistics about the search results. Internal use only., defaults to false | required |
csv | (bool, optional) | Format the response as a CSV file, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |